# api/views.py
from rest_framework.viewsets import ModelViewSet
from rest_framework.parsers import FormParser
from rest_framework.response import Response    

from py_populate_dcim.api.models import RefreshRequest
from .serializers import RefreshRequestSerializer


class RefreshRequestViewSet(ModelViewSet):
    """API viewset for triggering refresh of Etherflow's Python Populate DCIM program."""

    queryset = RefreshRequest.objects.all()
    serializer_class = RefreshRequestSerializer
    parser_classes = [FormParser]
    
    # def post(self, request, format=None):
    #     return Response({'received data': request.data})
